org.eclnt.editor.tools

## Class ProjectInfo.DesignTimeTLDInfo

- java.lang.Object
- - org.eclnt.jsfserver.elements.ComponentRepository.TLDInfo
  - - org.eclnt.editor.tools.ProjectInfo.DesignTimeTLDInfo

- Enclosing class:
    ProjectInfo

      public static class ProjectInfo.DesignTimeTLDInfo
      extends ComponentRepository.TLDInfo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DesignTimeTLDInfo(java.lang.String prefix, java.lang.String tldFileName, java.lang.String packageName, java.lang.String uri, java.lang.String controlsarrangementFileName, ProjectInfo projectInfo, java.lang.ClassLoader designTimeClassLoader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getControlsarrangementFileName()`
    `java.lang.ClassLoader` | `getDesignTimeClassLoader()`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.ComponentRepository.TLDInfo

      `getPackageName, getPrefix, getTldFileName, getUri`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DesignTimeTLDInfo

          public DesignTimeTLDInfo(java.lang.String prefix,
                                   java.lang.String tldFileName,
                                   java.lang.String packageName,
                                   java.lang.String uri,
                                   java.lang.String controlsarrangementFileName,
                                   ProjectInfo projectInfo,
                                   java.lang.ClassLoader designTimeClassLoader)

  - ### Method Detail

    - #### getControlsarrangementFileName

          public java.lang.String getControlsarrangementFileName()

    - #### getDesignTimeClassLoader

          public java.lang.ClassLoader getDesignTimeClassLoader()

Copyright © CaptainCasa Gmbh. All Rights Reserved.